Package net.sourceforge.jiu.gui.awt

# Class AwtMenuWrapper

java.lang.Object
net.sourceforge.jiu.apps.MenuWrapper
net.sourceforge.jiu.gui.awt.AwtMenuWrapper

public class AwtMenuWrapper extends MenuWrapper
A wrapper around an AWT MenuBar object.

Since:
  0.8.0
Author:
  Marco Schmidt

## Field Summary

Fields
Modifier and Type
Field
Description
`private MenuItem[]`
`items`
`private ActionListener`
`listener`
`private MenuBar`
`menuBar`

## Constructor Summary

Constructors
Constructor
Description
`AwtMenuWrapper(Strings strings, ActionListener actionListener)`
Internally creates a MenuBar object and provides methods to update that menu bar.

## Method Summary

Modifier and Type
Method
Description
`private Menu`
`createMenu(Strings strings, int stringIndex)`
`private MenuShortcut`
`createMenuShortcut(int menuIndex)`
`int`
`findIndex(Object o)`
Attempts to find one of the menu items in the internal list.
`MenuBar`
`getMenuBar()`
Returns the encapsulated MenuBar object.
`private void`
`init(Strings strings)`
Initializes an object of type MenuBar.
`void`
`setEnabled(int index, boolean enabled)`
Changes the enabled status of one of the MenuItem objects, given by its index.
`void`
`setLabel(int index, String text)`
Changes the label text of one of the MenuItem objects, given by its index.
`void`
`updateEnabled(OperationProcessor op)`
Changes the enabled status of all MenuItem objects using the argument OperationProcessor object (more precisely, its isAvailable(int) method).
`void`
`updateLabels(Strings strings)`
Sets the label text of all MenuItem objects to new values using the argument Strings information.

### Methods inherited from class net.sourceforge.jiu.apps.MenuWrapper

`getStringIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### listener

private ActionListener listener

### items

private MenuItem[] items

### menuBar

private MenuBar menuBar

## Constructor Details

### AwtMenuWrapper

public AwtMenuWrapper(Strings strings, ActionListener actionListener)
Internally creates a MenuBar object and provides methods to update that menu bar.

Parameters:
  `strings` - String resource used to initialize menu items
  `actionListener` - a listener which will be registered with all menu items

## Method Details

### createMenu

private Menu createMenu(Strings strings, int stringIndex)

### createMenuShortcut

private MenuShortcut createMenuShortcut(int menuIndex)

### findIndex

public int findIndex(Object o)
Attempts to find one of the menu items in the internal list. Returns its index or -1 if it is not one of the items.

Specified by:
  `findIndex` in class `MenuWrapper`
Parameters:
  `o` - some object representing part of the menu
Returns:
  corresponding index value from `MenuIndexConstants` on success or -1 on failure

### getMenuBar

public MenuBar getMenuBar()
Returns the encapsulated MenuBar object.

### init

private void init(Strings strings)
Initializes an object of type MenuBar.

### setEnabled

public void setEnabled(int index, boolean enabled)
Changes the enabled status of one of the MenuItem objects, given by its index.

Specified by:
  `setEnabled` in class `MenuWrapper`
Parameters:
  `index` - menu index of the component whose status is to be reset
  `enabled` - boolean with the new value

### setLabel

public void setLabel(int index, String text)
Changes the label text of one of the MenuItem objects, given by its index.

Specified by:
  `setLabel` in class `MenuWrapper`
Parameters:
  `index` - integer index of the menu element
  `text` - new text value to be used for this element

### updateEnabled

public void updateEnabled(OperationProcessor op)
Changes the enabled status of all MenuItem objects using the argument OperationProcessor object (more precisely, its isAvailable(int) method).

### updateLabels

public void updateLabels(Strings strings)
Sets the label text of all MenuItem objects to new values using the argument Strings information.